<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>StringUtil (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="StringUtil (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/sk89q/util/ReflectionUtil.html" title="class in com.sk89q.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/util/StringUtil.html" target="_top">Frames</a></li>
<li><a href="StringUtil.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.util</div>
<h2 title="Class StringUtil" class="title">Class StringUtil</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.util.StringUtil</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">StringUtil</span>
extends java.lang.Object</pre>
<div class="block">String utilities.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/util/StringUtil.html#getLevenshteinDistance-java.lang.String-java.lang.String-">getLevenshteinDistance</a></span>(java.lang.String&nbsp;s,
                      java.lang.String&nbsp;t)</code>
<div class="block">Find the Levenshtein distance between two Strings.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/util/StringUtil.html#joinQuotedString-java.lang.String:A-java.lang.String-int-java.lang.String-">joinQuotedString</a></span>(java.lang.String[]&nbsp;str,
                java.lang.String&nbsp;delimiter,
                int&nbsp;initialIndex,
                java.lang.String&nbsp;quote)</code>
<div class="block">Join an array of strings into a string.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/util/StringUtil.html#joinString-java.util.Collection-java.lang.String-int-">joinString</a></span>(java.util.Collection&lt;?&gt;&nbsp;str,
          java.lang.String&nbsp;delimiter,
          int&nbsp;initialIndex)</code>
<div class="block">Join an list of strings into a string.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/util/StringUtil.html#joinString-int:A-java.lang.String-int-">joinString</a></span>(int[]&nbsp;str,
          java.lang.String&nbsp;delimiter,
          int&nbsp;initialIndex)</code>
<div class="block">Join an array of strings into a string.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/util/StringUtil.html#joinString-java.lang.Object:A-java.lang.String-int-">joinString</a></span>(java.lang.Object[]&nbsp;str,
          java.lang.String&nbsp;delimiter,
          int&nbsp;initialIndex)</code>
<div class="block">Join an array of strings into a string.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/util/StringUtil.html#joinString-java.lang.String:A-java.lang.String-">joinString</a></span>(java.lang.String[]&nbsp;str,
          java.lang.String&nbsp;delimiter)</code>
<div class="block">Join an array of strings into a string.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/util/StringUtil.html#joinString-java.lang.String:A-java.lang.String-int-">joinString</a></span>(java.lang.String[]&nbsp;str,
          java.lang.String&nbsp;delimiter,
          int&nbsp;initialIndex)</code>
<div class="block">Join an array of strings into a string.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static &lt;T extends java.lang.Enum&lt;?&gt;&gt;<br>T</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/util/StringUtil.html#lookup-java.util.Map-java.lang.String-boolean-">lookup</a></span>(java.util.Map&lt;java.lang.String,T&gt;&nbsp;lookup,
      java.lang.String&nbsp;name,
      boolean&nbsp;fuzzy)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static java.util.List&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/util/StringUtil.html#parseListInQuotes-java.lang.String:A-char-char-char-">parseListInQuotes</a></span>(java.lang.String[]&nbsp;input,
                 char&nbsp;delimiter,
                 char&nbsp;quoteOpen,
                 char&nbsp;quoteClose)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static java.util.List&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/util/StringUtil.html#parseListInQuotes-java.lang.String:A-char-char-char-boolean-">parseListInQuotes</a></span>(java.lang.String[]&nbsp;input,
                 char&nbsp;delimiter,
                 char&nbsp;quoteOpen,
                 char&nbsp;quoteClose,
                 boolean&nbsp;appendLeftover)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/util/StringUtil.html#trimLength-java.lang.String-int-">trimLength</a></span>(java.lang.String&nbsp;str,
          int&nbsp;len)</code>
<div class="block">Trim a string if it is longer than a certain length.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="trimLength-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>trimLength</h4>
<pre>public static&nbsp;java.lang.String&nbsp;trimLength(java.lang.String&nbsp;str,
                                          int&nbsp;len)</pre>
<div class="block">Trim a string if it is longer than a certain length.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>str</code> - the stirng</dd>
<dd><code>len</code> - the length to trim to</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new string</dd>
</dl>
</li>
</ul>
<a name="joinString-java.lang.String:A-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>joinString</h4>
<pre>public static&nbsp;java.lang.String&nbsp;joinString(java.lang.String[]&nbsp;str,
                                          java.lang.String&nbsp;delimiter,
                                          int&nbsp;initialIndex)</pre>
<div class="block">Join an array of strings into a string.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>str</code> - the string array</dd>
<dd><code>delimiter</code> - the delimiter</dd>
<dd><code>initialIndex</code> - the initial index to start form</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new string</dd>
</dl>
</li>
</ul>
<a name="joinQuotedString-java.lang.String:A-java.lang.String-int-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>joinQuotedString</h4>
<pre>public static&nbsp;java.lang.String&nbsp;joinQuotedString(java.lang.String[]&nbsp;str,
                                                java.lang.String&nbsp;delimiter,
                                                int&nbsp;initialIndex,
                                                java.lang.String&nbsp;quote)</pre>
<div class="block">Join an array of strings into a string.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>str</code> - the string array</dd>
<dd><code>delimiter</code> - the delimiter</dd>
<dd><code>initialIndex</code> - the initial index to start form</dd>
<dd><code>quote</code> - the character to put around each entry</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new string</dd>
</dl>
</li>
</ul>
<a name="joinString-java.lang.String:A-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>joinString</h4>
<pre>public static&nbsp;java.lang.String&nbsp;joinString(java.lang.String[]&nbsp;str,
                                          java.lang.String&nbsp;delimiter)</pre>
<div class="block">Join an array of strings into a string.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>str</code> - the string array</dd>
<dd><code>delimiter</code> - the delimiter</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new string</dd>
</dl>
</li>
</ul>
<a name="joinString-java.lang.Object:A-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>joinString</h4>
<pre>public static&nbsp;java.lang.String&nbsp;joinString(java.lang.Object[]&nbsp;str,
                                          java.lang.String&nbsp;delimiter,
                                          int&nbsp;initialIndex)</pre>
<div class="block">Join an array of strings into a string.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>str</code> - an array of objects</dd>
<dd><code>delimiter</code> - the delimiter</dd>
<dd><code>initialIndex</code> - the initial index to start form</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new string</dd>
</dl>
</li>
</ul>
<a name="joinString-int:A-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>joinString</h4>
<pre>public static&nbsp;java.lang.String&nbsp;joinString(int[]&nbsp;str,
                                          java.lang.String&nbsp;delimiter,
                                          int&nbsp;initialIndex)</pre>
<div class="block">Join an array of strings into a string.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>str</code> - a list of integers</dd>
<dd><code>delimiter</code> - the delimiter</dd>
<dd><code>initialIndex</code> - the initial index to start form</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new string</dd>
</dl>
</li>
</ul>
<a name="joinString-java.util.Collection-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>joinString</h4>
<pre>public static&nbsp;java.lang.String&nbsp;joinString(java.util.Collection&lt;?&gt;&nbsp;str,
                                          java.lang.String&nbsp;delimiter,
                                          int&nbsp;initialIndex)</pre>
<div class="block">Join an list of strings into a string.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>str</code> - a list of strings</dd>
<dd><code>delimiter</code> - the delimiter</dd>
<dd><code>initialIndex</code> - the initial index to start form</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new string</dd>
</dl>
</li>
</ul>
<a name="getLevenshteinDistance-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLevenshteinDistance</h4>
<pre>public static&nbsp;int&nbsp;getLevenshteinDistance(java.lang.String&nbsp;s,
                                         java.lang.String&nbsp;t)</pre>
<div class="block"><p>Find the Levenshtein distance between two Strings.</p>

 <p>This is the number of changes needed to change one String into
 another, where each change is a single character modification (deletion,
 insertion or substitution).</p>

 <p>The previous implementation of the Levenshtein distance algorithm
 was from <a href="http://www.merriampark.com/ld.htm">http://www.merriampark.com/ld.htm</a></p>

 <p>Chas Emerick has written an implementation in Java, which avoids an OutOfMemoryError
 which can occur when my Java implementation is used with very large strings.<br>
 This implementation of the Levenshtein distance algorithm
 is from <a href="http://www.merriampark.com/ldjava.htm">http://www.merriampark.com/ldjava.htm</a></p>

 <pre>
 StringUtil.getLevenshteinDistance(null, *)             = IllegalArgumentException
 StringUtil.getLevenshteinDistance(*, null)             = IllegalArgumentException
 StringUtil.getLevenshteinDistance("","")               = 0
 StringUtil.getLevenshteinDistance("","a")              = 1
 StringUtil.getLevenshteinDistance("aaapppp", "")       = 7
 StringUtil.getLevenshteinDistance("frog", "fog")       = 1
 StringUtil.getLevenshteinDistance("fly", "ant")        = 3
 StringUtil.getLevenshteinDistance("elephant", "hippo") = 7
 StringUtil.getLevenshteinDistance("hippo", "elephant") = 7
 StringUtil.getLevenshteinDistance("hippo", "zzzzzzzz") = 8
 StringUtil.getLevenshteinDistance("hello", "hallo")    = 1
 </pre></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - the first String, must not be null</dd>
<dd><code>t</code> - the second String, must not be null</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>result distance</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if either String input <code>null</code></dd>
</dl>
</li>
</ul>
<a name="lookup-java.util.Map-java.lang.String-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lookup</h4>
<pre>public static&nbsp;&lt;T extends java.lang.Enum&lt;?&gt;&gt;&nbsp;T&nbsp;lookup(java.util.Map&lt;java.lang.String,T&gt;&nbsp;lookup,
                                                     java.lang.String&nbsp;name,
                                                     boolean&nbsp;fuzzy)</pre>
</li>
</ul>
<a name="parseListInQuotes-java.lang.String:A-char-char-char-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parseListInQuotes</h4>
<pre>public static&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;parseListInQuotes(java.lang.String[]&nbsp;input,
                                                                 char&nbsp;delimiter,
                                                                 char&nbsp;quoteOpen,
                                                                 char&nbsp;quoteClose)</pre>
</li>
</ul>
<a name="parseListInQuotes-java.lang.String:A-char-char-char-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>parseListInQuotes</h4>
<pre>public static&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;parseListInQuotes(java.lang.String[]&nbsp;input,
                                                                 char&nbsp;delimiter,
                                                                 char&nbsp;quoteOpen,
                                                                 char&nbsp;quoteClose,
                                                                 boolean&nbsp;appendLeftover)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/sk89q/util/ReflectionUtil.html" title="class in com.sk89q.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/util/StringUtil.html" target="_top">Frames</a></li>
<li><a href="StringUtil.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
